<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>S05: HTML Tables and Forms</title>
	</head>
	<body>

		<!-- Creates a container element to group HTML elements -->
		<!-- "header" value is used for Search Engine Optimization (SEO) like google-->
		<header>
			<h1>HTML Tables and Forms</h1>
		</header>

		<!-- Start of Main Section -->
		<main>


			<!-- Start of Table Section -->
			<section>
				<h2>HTML Entities</h2>
				<p><em>Reserved Chracters in HTML (e.g. &lt; or &gt; characters that can mix up with HTMl Code</em></p>
				
				<!-- Start of Table Tags -->
				<!-- Defines an HTML Table -->
				<table border ="1">
					<!-- Used to group the table header content -->
					<thead>
						<!-- Defines a table row -->
						<tr>
							<!-- Defines a table header element -->
							<th colspan ="2">Entities</th>	
							<th>Description</th>
						</tr>

					</thead>

					<tbody>
						<tr>
							<!-- Defines a table element -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>
						<tr>
							<!-- Defines a table element -->
							<td>&gt;</td>
							<td>gt</td>
							<td>grater than</td>
						</tr>
						<tr>
							<!-- Defines a table element -->
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>
						<tr>
							<!-- Defines a table element -->
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>
						<tr>
							<!-- Defines a table element -->
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>
						<tr>
							<!-- Defines a table element -->
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark</td>
						</tr>
						<tr>
							<!-- Defines a table element -->
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>lower tilde</td>
						</tr>
						<tr>
							<!-- Defines a table element -->
							<td>&Utilde;</td>
							<td>Utilde</td>
							<td>upper tilde</td>
						</tr>
					</tbody>

					<!-- This is used to group table footer content -->
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>
					</tfoot>
				</table>
				<!-- End of Table Tags -->
			</section>
			<!-- End of Table Section -->

			<!-- Start of Form Section -->
			<section>
				<!-- Start of HTML Forms -->
				<h2>HTML Forms</h2>
				<p><em> Input elements that make up a form </em></p>

				<!-- Creates an HTML form to capture user input -->
				<form action="http://google.com">

					<!-- Creates a label and allows for input field selection when clicked -->
					<label for="full_name">Full Name</label>
					
					<!-- Creates an input field to capture user input -->
					<input type="text" name="full_name" id="full_name" required>

					<br><br>

					<label for="birth_date">Birth date</label>
					<input type="date" name="birth_date" id="birth_date" required>

					<br><br>


					<label for="age">Age</label>			
					<input type="number" name="age" id="age" required>

					<br><br>

					<label for="gender">Gender</label>
					<!-- Creates a dropdown menu -->
					<select name="gender" id="gender">
						<option value="Male">Male</option>
						<option value="Female">Female</option>				
					</select>

					<br><br>

					<!-- Text Area -->
					<label for="notes">Notes:</label>
					<br>
					<textarea name="notes" id="notes" rows="5"></textarea>

					<br><br>

					<!-- Radio buttons -->
					<label>New User</label>

					<br>

					<input type="radio" name="new_user" id="user-type1">
					<label for="user-type1">Yes</label>

					<br>

					<input type="radio" name="new_user" id="user-type2">
					<label for="user-type2">No</label>

					<br><br>

					<!-- Checkbox -->

					<label>Role:</label>
					<br>
					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="role1">Developer</label>
					<br>

					<input type="checkbox" name="role2" id="role2" value="student">
					<label for="role2">Student</label>
					<br>

					<input type="checkbox" name="role3" id="role3" value="manager">
					<label for="role3">Manager</label>
					<br>


					<!-- Creates a button that will submit the form data -->
					<button type="submit">Submit</button>
					<button type="reset">Reset</button>
				</form>
				<!-- End of HTML Forms -->
			</section>
			<!-- Endof Form Section -->

		</main>
		<!-- End of Main -->

	</body>
</html>